<?php

namespace WPTranslation\Controllers;

use Exception;
use WPTranslation\Controllers\Controller;
use WPTranslation\Utils\Settings;
use WPTranslation\Vendors\DeepL\Translator as DeepLTranslator;
use WPTranslation\Vendors\Illuminate\Support\Arr;

class DeeplController extends Controller
{
    public function index()
    {
        $this->verifyNonce();

        $api = new DeepLTranslator(Settings::get("api.deepl.key"));
        try {
            $result = $api->getUsage();
            $result = [
                "character_count" => $result->character->count,
                "character_limit" => $result->character->limit,
            ];
            $this->response($result);
        } catch (Exception $e) {
            $this->emptyResponse();
        }
    }
}
