<?php

namespace WPTranslation\Database\Migrations;

class CreateTranslationsTableMigration extends Migration
{
    /**
     * Run a new migration
     *
     * @return void
     */
    public function run()
    {
        global $wpdb;

        if (!$this->canRun()) {
            return;
        }

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

        $charset_collate = $wpdb->get_charset_collate();

        $translations_table_name = $wpdb->prefix . "wpt_translations";

        $sql = "CREATE TABLE IF NOT EXISTS `{$translations_table_name}` (
        	`id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
            `post_id` bigint(20) unsigned NOT NULL,
            `translated_post_id` bigint(20) unsigned DEFAULT NULL,
            `action_id` bigint(20) unsigned DEFAULT NULL,
            `language` varchar(255) NOT NULL,
            `status` varchar(255) DEFAULT 'idle',
            `created_at` datetime DEFAULT NOW() NOT NULL,
        	PRIMARY KEY  (`id`)
          ) ENGINE=InnoDB {$charset_collate}";

        $out = \dbDelta($sql);
    }
}
