<?php

namespace WPTranslation\Database;

use WPTranslation\Database\Migrations\CreateTranslationsTableMigration;

abstract class Migrator
{
    static private $migrations = [
        "0.0.1" => [
            CreateTranslationsTableMigration::class,
        ],
    ];

    static public function run()
    {
        $dbVersion = get_option(WPTRANSLATION_DB_VERSION_OPTION, "0.0.0");
        $lastVersion = $dbVersion;
        foreach (self::$migrations as $version => $migrations) {
            foreach ($migrations as $migration) {
                $lastVersion = $version;
                $inst = new $migration($dbVersion, $version);
                $inst->run();
            }
        }

        if (version_compare($dbVersion, $lastVersion, "<")) {
            update_option(WPTRANSLATION_DB_VERSION_OPTION, WPTRANSLATION_DB_VERSION);
        }
    }
}
