<?php

// requests

use WPTranslation\Controllers\DeeplController;
use WPTranslation\Controllers\LanguagesController;
use WPTranslation\Controllers\SettingsController;
use WPTranslation\Controllers\TranslateController;
use WPTranslation\Controllers\TranslationsController;
use WPTranslation\Controllers\WordpressController;

// common
add_action("wp_ajax_wptranslation_languages", new LanguagesController);
add_action("wp_ajax_wptranslation_custom_fields", [new WordpressController, 'customFields']);
add_action("wp_ajax_wptranslation_wp_post_types", [new WordpressController, 'postTypes']);
add_action("wp_ajax_wptranslation_wp_categories", [new WordpressController, 'categories']);
add_action("wp_ajax_wptranslation_wp_product_categories", [new WordpressController, 'productCategories']);
add_action("wp_ajax_wptranslation_wp_users", [new WordpressController, 'users']);

// deepl
add_action("wp_ajax_wptranslation_deepl_usage", [new DeeplController, 'index']);

// translation
add_action("wp_ajax_wptranslation_translate_get_posts", [new TranslateController, 'index']);
add_action("wp_ajax_wptranslation_translate_get_posts_to_translate", [new TranslateController, 'getPostsToTranslate']);
add_action("wp_ajax_wptranslation_translate_process_post_translate", [new TranslateController, 'processTranslatePost']);
add_action("wp_ajax_wptranslation_translate_process_background_translate", [new TranslateController, 'processBackgroundTranslate']);

// rewrite
add_action("wp_ajax_wptranslation_translate_get_posts_to_rewrite", [new TranslateController, 'getPostsToRewrite']);
add_action("wp_ajax_wptranslation_translate_process_post_rewrite", [new TranslateController, 'processRewritePost']);

// settings
add_action("wp_ajax_wptranslation_settings_index", [new SettingsController, 'index']);
add_action("wp_ajax_wptranslation_settings_update", [new SettingsController, 'update']);

// tasks
add_action("wp_ajax_wptranslation_translations_index", [new TranslationsController, 'index']);
