<?php

/**
 * @wordpress-plugin
 * Plugin Name:       WPTranslation
 * Plugin URI:        https://wptranslation.net
 * Description:       Automatic translation for WordPress
 * Version:           2.4.3
 * Update URI:        https://wptranslation.net
 * Author:            WPTranslation
 * Author URI:        https://wptranslation.net
 * License:           GPL v3 or later
 * License URI:       https://www.gnu.org/licenses/gpl-3.0.txt
 * Text Domain:       wptranslation
 * Domain Path:       /languages
 * Requires at least: 6.0
 * Requires PHP:      7.4
 */

use WPTranslation\Plugin;
use YahnisElsts\PluginUpdateChecker\v5\PucFactory;

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

define('WPTRANSLATION_VERSION', '2.4.3');
define('WPTRANSLATION_DB_VERSION_OPTION', "wptranslation_db_version");
define('WPTRANSLATION_DB_VERSION', "0.0.1");
define('WPTRANSLATION_NONCE', 'wptranslation-nonce');
define('WPTRANSLATION_NAME', 'wptranslation');
define('WPTRANSLATION_GUMROAD_PRODUCT_ID', '3qP4zzjjsLVtpHpv_6dWuQ==');
define('WPTRANSLATION_GUMROAD_PURCHASE_LINK', 'https://freudix.gumroad.com/l/wptranslation');
define('WPTRANSLATION_ROOT_PATH', plugin_dir_path(__FILE__));
define('WPTRANSLATION_ROOT_URL', plugin_dir_url(__FILE__));
define('WPTRANSLATION_BASE_NAME', plugin_basename(__FILE__));
define('WPTRANSLATION_UPDATE_URL', "https://api.wptranslation.net/api/plugin");
define('WPTRANSLATION_TEST', false);

// load updater
try {
    if (is_readable(WPTRANSLATION_ROOT_PATH . '/libraries/plugin-update-checker/plugin-update-checker.php')) {
        require WPTRANSLATION_ROOT_PATH . '/libraries/plugin-update-checker/plugin-update-checker.php';
        PucFactory::buildUpdateChecker(
            WPTRANSLATION_UPDATE_URL,
            __FILE__,
            WPTRANSLATION_NAME
        );
    }
} catch (Exception $e) {
}

// load composer vendors.
if (is_readable(WPTRANSLATION_ROOT_PATH . '/vendor_prefixed/vendor/autoload.php')) {
    require WPTRANSLATION_ROOT_PATH . '/vendor_prefixed/vendor/autoload.php';
}
if (is_readable(WPTRANSLATION_ROOT_PATH . '/vendor_prefixed/vendor/illuminate/collections/helpers.php')) {
    require_once WPTRANSLATION_ROOT_PATH . '/vendor_prefixed/vendor/illuminate/collections/helpers.php';
}
if (is_readable(WPTRANSLATION_ROOT_PATH . '/vendor_prefixed/vendor/illuminate/support/helpers.php')) {
    require_once WPTRANSLATION_ROOT_PATH . '/vendor_prefixed/vendor/illuminate/support/helpers.php';
}

// load action scheduler
try {
    if (is_readable(WPTRANSLATION_ROOT_PATH . '/libraries/action-scheduler/action-scheduler.php')) {
        require_once WPTRANSLATION_ROOT_PATH . '/libraries/action-scheduler/action-scheduler.php';
    }
} catch (\Exception $e) {
}

spl_autoload_register(function ($class) {
    $namespaces = explode("\\", $class);
    if (count($namespaces) > 0 && $namespaces[0] === "WPTranslation") {
        if (count($namespaces) > 1 && $namespaces[1] === "Vendors") {
            return;
        }
        $namespaces[0] = "app";

        require_once plugin_dir_path(__FILE__) . implode("/", $namespaces) . '.php';
    }
});

add_action('plugins_loaded', function () {
    load_plugin_textdomain('wptranslation', false, dirname(plugin_basename(__FILE__)) . '/languages/');
    $plugin = new Plugin;
    $plugin->activate();
    $plugin->run();
});
